package com.sunxung.factoring.mapper.sys.workingDayManage;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.sunxung.factoring.entity.sys.workingDayManage.WorkingDayManage;

@Mapper
public interface WorkingDayManageMapper {

    List<WorkingDayManage> findByMonth(String yearMonth);

    void add(WorkingDayManage workingDay);

    void update(WorkingDayManage workingDay);

    WorkingDayManage get(Long id);

    WorkingDayManage getByDateTime(Date dateTime);

    /**
     * 获取指定起始范围内的工作日信息，要求：按照日期升序排列
     * 
     * @param start 日期开始
     * @param end 日期结束
     * @return
     */
    List<WorkingDayManage> findByStartEndDate(@Param("start") Date start, @Param("end") Date end);

    Integer delete(Long id);

    Date getMaxDate();
}
